Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 159452 - libuser does not allow '.' in user/group names
Summary: libuser does not allow '.' in user/group names
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: libuser
Version: 3.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Miloslav Trmač
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-02 19:24 UTC by David Lehman
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-12-16 23:01:26 UTC


Attachments (Terms of Use)

Description David Lehman 2005-06-02 19:24:38 UTC
Description of problem:
lu_name_allowed doesn't allow '.' in user/group names. POSIX states that '.' is
allowed:
http://www.opengroup.org/onlinepubs/009695399/basedefs/xbd_chap03.html#tag_03_426
http://www.opengroup.org/onlinepubs/009695399/basedefs/xbd_chap03.html#tag_03_276

Version-Release number of selected component (if applicable):
libuser-0.51.7-1.EL3.3

How reproducible:
Always

Steps to Reproduce:
1. lgroupadd joe.schmoe
2.
3.
  
Actual results:
[root@whiskey root]# lgroupadd joe.schmoe
Group creation failed.


Expected results:
Successful group creation

Additional info:
See bug 159034 for shadow-utils equivalent.

Comment 6 Miloslav Trmač 2005-06-08 17:38:06 UTC
lu_name_allowed() synced with the shadow-utils code in rawhide libuser-0.53.8-1;
RHEL updates will probably use a simpler patch (0.53.8-1 prohibits some
characters that were allowed before).

Comment 19 RHEL Product and Program Management 2006-12-16 23:01:26 UTC
Product Management has reviewed and declined this request.  You may appeal this
decision by reopening this request. 


Note You need to log in before you can comment on or make changes to this bug.